_Ecore_Con_Event_Url_Progress Struct Reference
Ecore » Ecore_Con - Connection functions » Ecore Connection Events Functions | Ecore » Ecore_Con - Connection functions » Ecore URL Connection Functions

Used as the `data` param for the ECORE_CON_EVENT_URL_PROGRESS event. More...

`#include <Ecore_Con.h>`

## Data Fields

Ecore_Con_Url * | url_con
| a pointer to the connection object
struct { |
double total |
| total size of the downloading data (in bytes)
double now |
| current size of the downloading data (in bytes)
} | down
| download info
struct { |
double total |
| total size of the uploading data (in bytes)
double now |
| current size of the uploading data (in bytes)
} | up
| upload info

## Detailed Description

Used as the `data` param for the ECORE_CON_EVENT_URL_PROGRESS event.

## Field Documentation

## total

double _Ecore_Con_Event_Url_Progress::total

total size of the downloading data (in bytes)

total size of the uploading data (in bytes)

Examples
  ecore_con_url_download_example.c.

## now

double _Ecore_Con_Event_Url_Progress::now

current size of the downloading data (in bytes)

current size of the uploading data (in bytes)

Examples
  ecore_con_url_download_example.c.